%define upstream_name    Digest-MD5-M4p
%define upstream_version 0.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 21

Summary:	Perl interface to a variant of the MD5 algorithm
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Digest/Digest-MD5-M4p-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel


%description
he Digest::MD5 module is cloned from the Digest::MD5 module to support a
variant  Apple iTunes implementation of the MD5 algorithm. If you don't know 
why this is so, don't bother with this module! It is incompatible with RSA 
and RFC standards!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%defattr(-, root, root, 0755)
%doc README Changes
%{_mandir}/man3/*
%{perl_vendorarch}/Digest/MD5/M4p.pm
%{perl_vendorarch}/auto/Digest/MD5/M4p


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.10.0-21.mga8
+ Revision: 1594562
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-20.mga8
+ Revision: 1529459
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.10.0-19.mga8
+ Revision: 1433546
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.10.0-18.mga7
+ Revision: 1292822
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.0-17.mga7
+ Revision: 1249116
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.10.0-16.mga7
+ Revision: 1164083
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.10.0-15.mga7
+ Revision: 1148870
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.10.0-14.mga7
+ Revision: 1127585
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-13.mga6
+ Revision: 1025792
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-12.mga6
+ Revision: 957229
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.10.0-11.mga6
+ Revision: 843782
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-10.mga5
+ Revision: 744101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-9.mga5
+ Revision: 684366
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.10.0-8.mga5
+ Revision: 631127
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-7.mga4
+ Revision: 524760
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.0-6.mga4
+ Revision: 431500
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-5.mga3
+ Revision: 365927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.10.0-4.mga3
+ Revision: 250577
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.10.0-3.mga2
+ Revision: 104216
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.10.0-2.mga1
+ Revision: 30169
- mageia rebuild
- imported package perl-Digest-MD5-M4p


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-2mdv2011.0
+ Revision: 555244
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 403151
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2009.0
+ Revision: 256685
- rebuild

* Sun Mar 23 2008 Stefan van der Eijk <stefan@mandriva.org> 0.01-1mdv2008.1
+ Revision: 189577
- import perl-Digest-MD5-M4p


